/* Подключение шрифтов */

@import "assets/fonts/Rubik.css";

/* Общие блоки */

@import "assets/button.css";
@import "assets/input.css";
@import "assets/input-password.css";
@import "assets/search.css";
@import "assets/select.css";
@import "assets/cookies.css";
@import "assets/checkbox.css";
@import "assets/checkbox-rounded.css";
@import "assets/checkbox-switch.css";
@import "assets/popup.css";
@import "assets/popup-mail-confirmed.css";
@import "assets/restore-password.css";
@import "assets/scrollbar.css";
@import "assets/messages.css";
@import "assets/navigation-button.css";
@import "assets/navigation-button.css";
@import "assets/upload_details_block.css";
@import "assets/tabs.css";
@import "assets/avatar-settings.css";
@import "assets/user-card.css";
@import "assets/popup-confirm.css";
@import "assets/progressbar.css";
@import "assets/role-card.css";
@import "assets/add-user.css";
@import "assets/table.css";
@import "assets/textarea.css";
@import "assets/pagination.css";
@import "assets/instruction.css";
@import "assets/datepicker.css";

/* Панели */

@import "assets/panel.css";

/* Стили интерфейса */

/* Стили элементов */

* {
    margin: 0;
    padding: 0;
}

body {
    font: normal normal normal 13px/17px Rubik;
    letter-spacing: 0;
    color: #393939;
}

a {
    color: #009097;
    text-decoration: underline;
    font: normal normal normal 13px/17px Rubik;
    letter-spacing: 0;
}

a:active, a:focus {
    color: #009097;
}

button {
    text-align: left;
    border: none;
    background: none;
    display: inline-block;
}

button:hover {
    cursor: pointer;
}

button:focus {
    outline: none;
}

#for-dialog{
    padding: 20px;
    border-radius: 5px;
    overflow-x: hidden;
    max-width: 800px;
}
#for-dialog .fancybox-close-small{
    top: -8px;
    right: -9px;
    width: 26px;
    height: 26px;
}
.fancybox-close-small:focus:after {
    outline: none;
}
.fancybox-close-small:hover:after {
    background: transparent;
}

.marker {
    margin-right: 7px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #393939;
}

.txt-red {
    color: #E7413C;
}

.txt-green {
    color: #009097;
}

.red {
    background: #E7413C;
}

.red-light {
    background: #f3a09d;
}

.yellow {
    background: #F9BF1E;
}

.green {
    background: #009097;
}

.green-light {
    background: rgba(0, 144, 151, .5);
}

.blue-light {
    background: #8EC9FC;
}

.dark-light {
    background: rgba(57, 57, 57, .5);
}


.white-hover-bg {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: inherit;
}

.white-hover-bg:hover {
    background: rgba(255, 255, 255, .3);
}

.opacity-5 {
    opacity: .5;
}

/* Классы для быстрой работы с flex */

.row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.column {
    display: flex;
    flex-direction: column;
}

.nowrap {
    white-space: nowrap;
    flex-wrap: nowrap;
}

.f-grow {
    flex-grow: 1;
}

.f-start {
    justify-content: flex-start;
}

.f-end {
    justify-content: flex-end;
}

.space-between {
    display: flex;
    justify-content: space-between;
}

.space-around {
    display: flex;
    justify-content: space-around;
}

.d-none {
    display: none;
}

.align-c {
    align-items: center;
}

.align-fe {
    align-items: flex-end;
}

.w-100 {
    width: 100% !important;
}

/* Классы отступов */

.mrgn-right40 {
    margin-right: 40px;
}

.mrgn-right30 {
    margin-right: 30px;
}

.mrgn-right25 {
    margin-right: 25px;
}

.mrgn-bottom40 {
    margin-bottom: 40px;
}

.mrgn-bottom30 {
    margin-bottom: 30px;
}

.b-border {
    padding-bottom: 21px;
    border-bottom: 1px solid #EFEFEF;
}

/* Текстовые элементы*/

.fs-16 {
    font-size: 16px;
    line-height: 19px;
    font-family: Rubik, sans-serif;
}

.fw500 {
    font-weight: 500;
}

.italic {
    font-style: italic;
}

h1, h2, h3, h4, .trctr-menu-item, .trctr-time {
    color: #393939;
    font-family: Rubik, sans-serif;
    font-weight: normal;
    display: inline;
}

h1 {
    font-weight: normal;
    font-size: 20px;
    line-height: 17px;
}

h2 {
    font-size: 26px;
}

h3 {
    font-size: 20px;
}

h4 {
    font-weight: 300;
    font-size: 16px;
}

.trctr-menu-item {
    font-size: 16px;
}

.trctr-time {
    opacity: 0.5;
    font-size: 10px;
}

/* Полный текст показывающийся при наведении на объект с атрибутом data-tooltip */

.alt-tooltip
{
    text-align: center;
    width: 250px;
    position: absolute;
    left: 0;
    top: 0;
    margin-top: 7px;
    background: #F6F6F6 0 0 no-repeat padding-box;
    box-shadow: 0 3px 6px #00000029;
    border: 1px solid #EFEFEF;
    border-radius: 5px;
    font: normal normal normal 14px/17px Rubik;
    letter-spacing: 0;
    color: #393939;
    padding: 10px 4px;
    pointer-events: none;

    z-index: 10000;

}


/* Основные стили рабочего экрана */

.main_wrapper {
    overflow-x: auto;
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    background: transparent linear-gradient(120deg, #F0FAFF4D 0%, #FFFFFF 100%) 0 0 no-repeat padding-box;
}

/* Основное содержание панели */

.main_container {
    padding-bottom: 74px;
    margin-top: 60px;
    margin-left: 13%;
    width: 72.31%;
    display: flex;
    flex-direction: column;
}


.main_container-header {
    font: normal normal 300 30px/36px Rubik;
    letter-spacing: 0;
    color: #393939;
    border-bottom: 1px solid #C5C5C5;
    width: 100%;
    padding-bottom: 30px;
    margin-bottom: 30px;
}


@media (max-width: 1366px) {
    .main_container {
        margin-left: 13%;
        width: 77.67%;
    }
}

@media (max-width: 1080px) {
    .main_container {
        margin-left: 19%;
        width: 77.67%;
    }
}

.container {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
}

.blue-gradient {
    background: transparent linear-gradient(114deg, #009097 0%, #339FD6 100%) 0 0 no-repeat padding-box;
}

.green-gradient {
    background: transparent linear-gradient(114deg, #15AB58 0%, #1EEFF9 100%) 0 0 no-repeat padding-box;
}
